package com.yunfeiyun.agmp.common.web.system.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 参数配置表 SysConfig
 * 
 * @author 杨晓辉
 */
public class SysConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 参数主键 */
    @Excel(name = "参数主键")
    private String configId;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String configName;

    /** 参数键名 */
    @Excel(name = "参数键名")
    private String configKey;

    /** 参数键值 */
    @Excel(name = "参数键值")
    private String configValue;

    /** 系统内置（Y是 N否） */
    @Excel(name = "系统内置", readConverterExp = "Y=是,N=否")
    private String configType;



    /** 参数创建者 */
    @Excel(name = "参数创建者")
    private String configCreator;

    /** 参数创建时间 */
    @Excel(name = "参数创建时间")
    private String configCreateddate;

    /** 参数更新者 */
    @Excel(name = "参数更新者")
    private String configModifier;

    /** 参数更新时间 */
    @Excel(name = "参数更新时间")
    private String configModifieddate;

    /** 参数备注 */
    @Excel(name = "参数备注")
    private String configRemark;


    public SysConfig()
    {

    }

    public String getConfigId()
    {
        return configId;
    }

    public void setConfigId(String configId)
    {
        this.configId = configId;
    }

    @NotBlank(message = "参数名称不能为空")
    @Size(min = 0, max = 100, message = "参数名称不能超过100个字符")
    public String getConfigName()
    {
        return configName;
    }

    public void setConfigName(String configName)
    {
        this.configName = configName;
    }

    @NotBlank(message = "参数键名长度不能为空")
    @Size(min = 0, max = 100, message = "参数键名长度不能超过100个字符")
    public String getConfigKey()
    {
        return configKey;
    }

    public void setConfigKey(String configKey)
    {
        this.configKey = configKey;
    }

    @NotBlank(message = "参数键值不能为空")
    @Size(min = 0, max = 500, message = "参数键值长度不能超过500个字符")
    public String getConfigValue()
    {
        return configValue;
    }

    public void setConfigValue(String configValue)
    {
        this.configValue = configValue;
    }

    public String getConfigType()
    {
        return configType;
    }

    public void setConfigType(String configType)
    {
        this.configType = configType;
    }

    public String getConfigCreator()
    {
        return configCreator;
    }

    public void setConfigCreator(String configCreator)
    {
        this.configCreator = configCreator;
    }

    public String getConfigCreateddate()
    {
        return configCreateddate;
    }

    public void setConfigCreateddate(String configCreateddate)
    {
        this.configCreateddate = configCreateddate;
    }

    public String getConfigModifier()
    {
        return configModifier;
    }

    public void setConfigModifier(String configModifier)
    {
        this.configModifier = configModifier;
    }

    public String getConfigModifieddate()
    {
        return configModifieddate;
    }

    public void setConfigModifieddate(String configModifieddate)
    {
        this.configModifieddate = configModifieddate;
    }

    public String getConfigRemark()
    {
        return configRemark;
    }

    public void setConfigRemark(String configRemark)
    {
        this.configRemark = configRemark;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("configId", getConfigId())
            .append("configName", getConfigName())
            .append("configKey", getConfigKey())
            .append("configValue", getConfigValue())
            .append("configType", getConfigType())
            .append("configCreator", getConfigCreator())
            .append("configCreateddate", getConfigCreateddate())
            .append("configModifier", getConfigModifier())
            .append("configModifieddate", getConfigModifieddate())
            .append("configRemark", getConfigRemark())
            .toString();
    }
}
